Package com.evopdf

# Class PdfFormOptions

java.lang.Object
com.evopdf.PdfFormOptions

public class PdfFormOptions extends Object
This class contains the properties to control the automatic conversion of a HTML form into a fillable PDF form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfFormOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `autoPdfFormEnabled()`
  Gets the flag indicating if the HTML form elements like text boxes, checkboxes, radio buttons and submit buttons are automatically converted to PDF form fields in the generated PDF document
  `PdfFormAutoFieldStyle`
  `checkBoxStyle()`
  Gets the checkbox field style object where you can set the style properties
  `PdfFormAutoFieldStyle`
  `comboBoxStyle()`
  Gets the combo box field style object where you can set the style properties
  `PdfFormAutoFieldStyle`
  `listBoxStyle()`
  Gets the list box field style object where you can set the style properties
  `PdfFormAutoFieldStyle`
  `multilineTextBoxStyle()`
  Gets the multiline text box field style object where you can set the style properties
  `PdfFormAutoFieldStyle`
  `passwordTextBoxStyle()`
  Gets the password text box field style object where you can set the style properties
  `PdfFormAutoFieldStyle`
  `radioButtonsGroupStyle()`
  Gets the radio buttons group field style object where you can set the style properties
  `void`
  `setAutoPdfFormEnabled(boolean autoPdfFormEnabled)`
  Sets the flag indicating if the HTML form elements like text boxes, checkboxes, radio buttons and submit buttons are automatically converted to PDF form fields in the generated PDF document.
  `PdfFormAutoFieldStyle`
  `submitButtonStyle()`
  Gets the submit button style object where you can set the style properties
  `PdfFormAutoFieldStyle`
  `textBoxStyle()`
  Gets the text box field style object where you can set the style properties

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PdfFormOptions

    public PdfFormOptions()

- ## Method Details

  - ### autoPdfFormEnabled

    public boolean autoPdfFormEnabled()
    Gets the flag indicating if the HTML form elements like text boxes, checkboxes, radio buttons and submit buttons are automatically converted to PDF form fields in the generated PDF document
    Returns:
      the field value

  - ### setAutoPdfFormEnabled

    public void setAutoPdfFormEnabled(boolean autoPdfFormEnabled)
    Sets the flag indicating if the HTML form elements like text boxes, checkboxes, radio buttons and submit buttons are automatically converted to PDF form fields in the generated PDF document. The default value is false
    Parameters:
      `autoPdfFormEnabled` - the flag value to set

  - ### submitButtonStyle

    public PdfFormAutoFieldStyle submitButtonStyle()
    Gets the submit button style object where you can set the style properties
    Returns:
      the submit button style

  - ### textBoxStyle

    public PdfFormAutoFieldStyle textBoxStyle()
    Gets the text box field style object where you can set the style properties
    Returns:
      the text box field style

  - ### multilineTextBoxStyle

    public PdfFormAutoFieldStyle multilineTextBoxStyle()
    Gets the multiline text box field style object where you can set the style properties
    Returns:
      the multiline text box field style

  - ### passwordTextBoxStyle

    public PdfFormAutoFieldStyle passwordTextBoxStyle()
    Gets the password text box field style object where you can set the style properties
    Returns:
      the password text box field style

  - ### comboBoxStyle

    public PdfFormAutoFieldStyle comboBoxStyle()
    Gets the combo box field style object where you can set the style properties
    Returns:
      the combo box field style

  - ### listBoxStyle

    public PdfFormAutoFieldStyle listBoxStyle()
    Gets the list box field style object where you can set the style properties
    Returns:
      the list box field style

  - ### checkBoxStyle

    public PdfFormAutoFieldStyle checkBoxStyle()
    Gets the checkbox field style object where you can set the style properties
    Returns:
      the checkbox field style

  - ### radioButtonsGroupStyle

    public PdfFormAutoFieldStyle radioButtonsGroupStyle()
    Gets the radio buttons group field style object where you can set the style properties
    Returns:
      the radio buttons group field style